﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace _03_DemoMySQL
{
    class Program
    {
        static void Main(string[] args)
        {
            MesEntities context = new MesEntities();

            // Language INtegrated Query
            var mesProduits = from produit in context.Produits
                              where produit.Prix >= 20 &&
                                    produit.Prix <= 80
                              orderby produit.Nom ascending
                              select new
                                         {
                                             Nom = produit.Nom,
                                             Prix = produit.Prix,
                                             Catégorie = produit.Catégorie.Nom
                                         };
            
            ObjectDumper.Write(mesProduits);

            Produit nouveauProduit = new Produit()
                                         {
                                             ID = 1003,
                                             Nom = "Nouveau Produit",
                                             Prix = 100,
                                             Catégorie = context.Catégories.First()
                                         };
            context.AddToProduits(nouveauProduit);
            context.SaveChanges();

            Produit leProduit = context.Produits
                .Where(produit => produit.ID == 1003)
                .FirstOrDefault();

            if (leProduit != null)
            {
                leProduit.Nom += " MODIF";
                leProduit.Prix = 200;

                context.SaveChanges();

                context.DeleteObject(leProduit);
                context.SaveChanges();
            }


            Console.ReadLine();
        }
    }
}
