using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Mvc.Ajax;
using _04_DemoMySQL.Models;

namespace _04_DemoMySQL.Controllers
{
    public class ProduitsController : Controller
    {
        //
        // GET: /Produits/

        public ActionResult Index()
        {
            MesEntities context = new MesEntities();

            return View(context.Produits);
        }

        //
        // GET: /Produits/Details/5

        public ActionResult Details(int id)
        {
            MesEntities context = new MesEntities();
            var leProduit = context.Produits.Include("Catgorie").Where(produit => produit.ID == id).FirstOrDefault();

            if (leProduit == null)
            {
                return RedirectToAction("Index");
            }

            DetailProduit detailProduit = new DetailProduit()
                                              {
                                                  ID = leProduit.ID,
                                                  Nom = leProduit.Nom,
                                                  Prix = leProduit.Prix,
                                                  Catgorie = leProduit.Catgorie.Nom
                                              };

            return View(detailProduit);
        }

        //
        // GET: /Produits/Create

        public ActionResult Create()
        {
            return View();
        } 

        //
        // POST: /Produits/Create

        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult Create(FormCollection collection)
        {
            try
            {
                // TODO: Add insert logic here

                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }

        //
        // GET: /Produits/Edit/5
 
        public ActionResult Edit(int id)
        {
            MesEntities context = new MesEntities();
            var leProduit = context.Produits.Include("Catgorie").Where(produit => produit.ID == id).FirstOrDefault();

            if (leProduit == null)
            {
                return RedirectToAction("Index");
            }

            return View(leProduit);
        }

        //
        // POST: /Produits/Edit/5

        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult Edit(int id, FormCollection collection)
        {
            try
            {
                // TODO: Add update logic here
 
                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }
    }
}
